Skip to main content
Resource Center/Resource Pool/VM Instance Operations

SetVmBootOrder

SetVmBootOrder

PUT/zstack/v1/vm-instances/{uuid}/actions

Operation ID

SetVmBootOrder

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The VM instance UUID.

Body Fields

  • bootOrder
    List

    Optional. The boot device. Options: CdRom: CD-ROM HardDisk: hard disk Network: network If not specified, the default boot order (HardDisk, CdRom, CdRom) will be used.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • imageUuid
      StringRequired

      The image UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • lastHostUuid
      StringRequired

      The last host UUID.

    • instanceOfferingUuid
      StringRequired

      The instance offering UUID.

    • rootVolumeUuid
      StringRequired

      The root volume UUID.

    • platform
      StringRequired

      The platform.

    • defaultL3NetworkUuid
      StringRequired

      The default L3 network UUID.

    • type
      StringRequired

      The resource type.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • memorySize
      LongRequired

      The memory size.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • cpuSpeed
      LongRequired

      The CPU speed.

    • allocatorStrategy
      StringRequired

      The allocator strategy.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The resource state.

    • vmNics
      ListRequired

      See vmNics.

      • uuid
        StringRequired

        The resource UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ip
        StringRequired

        The IP address.

      • mac
        StringRequired

        The MAC address.

      • netmask
        StringRequired

        The netmask.

      • gateway
        StringRequired

        The gateway IP address.

      • metaData
        StringRequired

        The metadata.

      • ipVersion
        IntegerRequired

        The IP version.

      • deviceId
        IntegerRequired

        The device ID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • usedIps
        ListRequired

        See usedIps.

        • uuid
          StringRequired

          The resource UUID.

        • ipRangeUuid
          StringRequired

          The IP range UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ipVersion
          IntegerRequired

          The IP version.

        • ip
          StringRequired

          The IP address.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway.

        • usedFor
          StringRequired

          The intended use.

        • ipInLong
          longRequired

          The IP address represented as a long integer.

        • vmNicUuid
          StringRequired

          The VM NIC UUID.

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

    • allVolumes
      ListRequired

      See allVolumes.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • primaryStorageUuid
        StringRequired

        The primary storage UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • diskOfferingUuid
        StringRequired

        The disk offering UUID.

      • rootImageUuid
        StringRequired

        The root image UUID.

      • installPath
        StringRequired

        The volume installation path on the primary storage.

      • type
        StringRequired

        The volume type, including data volume and root volume.

      • format
        StringRequired

        The volume format.

      • size
        LongRequired

        The volume size.

      • actualSize
        LongRequired

        The actual size of the volume.

      • deviceId
        IntegerRequired

        The device ID.

      • state
        StringRequired

        Whether the volume is enabled.

      • status
        StringRequired

        The volume status.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • isShareable
        BooleanRequired

        Whether the volume can be shared.

      • volumeQos
        StringRequired

        The volume QoS. Format: total=1048576.